/**
 ******************************************************************************
 * @project  Arduino Very Simple TCP Loopback Example
 * @author   Edward Ahn
 * @version  V1.1
 * @date     30-MAR-2016
 * @brief    Ethernet Communication
 * @MCU      ARM Cortex-M0+
*******************************************************************************
**/

#include <SPI.h>
#include <Ethernet2.h>

byte mac[] = {0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED}; // MAC ADDRESS.

IPAddress ip(192,168,1, 177);
IPAddress gateway(192,168,1, 1);
IPAddress subnet(255, 255, 255, 0);

EthernetServer server(5000);

void setup() {
  Ethernet.begin(mac, ip, gateway, subnet);
  server.begin();
  SerialUSB.begin(9600);
    delay(6000);
   while (!SerialUSB) {
    ;
  }
}

void loop() {
  EthernetClient client = server.available();
  if (client) {
    if (client.available() > 0) {
      char thisChar = client.read();
      server.write(thisChar);
      SerialUSB.write(thisChar);
    }
  }
}



